<!DOCTYPE html>
<html>
<head>
<meta charset="utf-8">
<title>Making Cookies</title>
<script type="text/javascript">
	function makeCookie(form) {
		var when = new Date();
		//24 hours from now
		when.setTime(when.getTime() + 24 * 60 * 60 * 1000);
		
		//One year from now
		when.setFullYear(when.getFullYear() + 1);
		
		yname = form.yourname.value;
		favcolor = form.yourcolor.value;
		
		alert(document.cookie);
		
		document.cookie = escape("visitor") + "=" + escape(yname) + ";expires=" + when.toGMTString();
		document.cookie = escape("color") + "=" + escape(favcolor) + ";expires=" + when.toGMTString();
		
		alert(document.cookie);
	}
	
	function welcome(myForm) {
		you = myForm.yourname.value;
		var position = document.cookie.indexOf("name="); 
		if ( position != -1) {
			var begin = position + 5;
			
			var end = document.cookie.indexOf(";", begin);
			
			if (end == -1) {
				end = document.cookie.length ;
			}
			you = unescape(document.cookie.substring(begin, end));
			alert("Welcome" + you);
		} else { 
			alert("No cookies today") ;
		}
	}
</script>
</head>
<body onLoad="document.form1.reset()" >
	<div align="center">
		<h2> Got milk ?</h2>
		<form name="form1">
			What is your name? <br />
			<input type="text" name="yourname" /> <br />
			What is your favorite color? <br />
			<input type="text" name="yourcolor" /><br />
			<p><input type="button" value="Make cookie" onClick="makeCookie(this.form);" /></p>
			<p><input type="button" value="Get Cookie" onClick="welcome(this.form);"/></p>
		</form>
	</div>
</body>
</html>
<!-- Explanation
1 A function called makeCookie()is defined. It takes a reference to a form as its only 
	parameter. This is the function that creates the cookie.
	
2 A newDateobject is created and assigned to the variable called when.
3 TheDateobject creates a date a year from now. This will be the expiration date for the cookie.
4 Two cookies are created. The first cookie’s name is “visitor”and its value is the user’s name, stored in yname.
	The second cookie’s name is “color” and its value stored infavcolor. Both values came from the form input.
	The attributes are escaped just in case the user added unwanted characters,
	such as spaces, commas, or semicolons. The expiration date is set to a year from now 
	and is converted to GMT time, the required format for the “expires”attribute. Notice the quotes.
	If the text is literal for the attribute it must be quoted; if it is a variable value,
	then it is not quoted or JavaScript can’t interpret it—very tricky getting these right.
	
5 A function called welcome()is created. It takes a reference to a form as its only 
	parameter. Its purpose is to greet the user based on the cookie value.
	
6 The following statements are used to parse out thevalueattribute of the cookie.
	The beginning index position is set to where the “name=”string starts in the cookie string.
	It will be at position 5 in this example. Starting at index position 0, 
	position 5 takes us to the character directly after the = sign.
	The end position is either at the first semicolon or at the end of the string, whichever applies.
	
7 After getting the substring, the valuepart of the cookie, the unescape() function, 
	will convert the URI-encoded string back into its original ASCII format.
	
8 The user is welcomed, all based on the value extracted from the cookie. The cookie lets this Web site know who you are so that you can get a personal greeting 
	when you return to the site.
	 
9 	The user will enter his or her name in a textbox field. See Figure 16.8.
10 	When the user clicks this button, theonClickevent is triggered, and the cookie
		will be made. See Figure 16.9.
		
11 	When the user clicks this button, the onClick event is triggered, and the user will 
		be welcomed by the name he or she entered in the textbox
 -->